Subject: Re: Please help ID this UB disk controller

From: "Timothy D. Shoppa x4256" <[email-masked]>
Date: Thu, 2 Feb 1995 13:05:50 -0800 (PST)

Path: almach.caltech.edu!shoppa
From: [email-masked] (Timothy D. Shoppa x4256)
Newsgroups: comp.sys.dec,vmsnet.pdp-11
Subject: Emulex UD33 info
Summary:  
Date:  2 Feb 1995 13:05 PST  
Followup-To: comp.sys.dec,vmsnet.pdp-11
Distribution: world
Keywords:  
Message-ID: <[email-masked]>
References: <[email-masked]> <[email-masked]>
Organization: California Institute of Technology
News-Software: VAX/VMS VNEWS 1.41    
 
In article <[email-masked]>, [email-masked] (J Lothian) writes...
>Bj|rn-Erik Tapper, Bulle-redakt|r ([email-masked]) wrote:
>: In article <[email-masked]>, [email-masked] (J Lothian) writes:
>: > Apparently made by Emulex. On the board: 
>: > ASSY NO: UD33 10401 DD REV D
>: > 
>: Yes, it is was made by emulex and emulates a MSCP-controller like
>: the UDA-50. The drive is a CDC Sabre SMD-drive.
> 
>: The controller supports almost any combination of SMD and/or SMD-E
>: drives and is configured by a set-up program resident on the controller
>: that can (on a PDP-11) be started thorugh the XXDP package with a program
>: supplied by Emulex. I don't know how it's done on the Vax.
>: The controller/drive combination you have is fairly common on PDP11/84, at
>: least in Europe.
>: The setup is used from the console a little like configuring PDP11/93's.
>: I think Emulex still supports the controller even if they don't sell it
>: anymore.
> 
>Thanks for the information. Anybody got a list of the controller dip-
>switches? Failing that, a UK contact address for Emulex would be useful.
> 
>James
>[email-masked]  |   but not as we know it"
 
Here's the info from my (actually, Alan Frisbee's) UD33 manual.
I'm stockpiling such information on my anonymous ftp site, sunsite.unc.edu,
in the
 
  /pub/academic/computer-science/history/pdp-11/hardware
 
directory.  So far, nobody from DEC or Emulex has complained about the
copyright violation - I hope it stays that way!
 
The information on starting FRD up isn't here.  I'll try to type that
in in the next few days.
 
**Emulex UD33
 
Switch    Off     On      Factory      Function
------    ---     ----    -------      --------
SW1-1     RUN     HALT    OFF(0)       Run vs. Halt
SW1-2                     OFF(0)       MSCP device number (LSB)
SW1-3                     OFF(0)       MSCP device number
SW1-4                     OFF(0)       MSCP device number (MSB)
 
SW2-1     DISABLE ENABLE  OFF(0)       Loop on self-test error
SW2-2                     OFF(0)       Reserved
SW2-3                     OFF(0)       Unibus Address
SW2-4                     OFF(0)       Unibus Address
SW2-5                     OFF(0)       Unibus Address
SW2-6                     OFF(0)       Unibus Address
SW2-7     4 usec  8 usec  OFF(0)       DMA burst dealy
SW2-8     ENABLE  DISABLE OFF(0)       Adaptive DMA
SW2-9     B-Cable A-Cable OFF(0)       Index and Sector
SW2-10                    OFF(0)       Reserved

Unibus address info:
 
Bus Address              SW2               Factory
(Octal)                3 4 5 6
-----------            -------             -------
772150                 0 0 0 0             Factory Default
772154                 1 0 0 0
760334                 0 1 0 0
760340                 1 1 0 0
760344                 0 0 1 0
760350                 1 0 1 0
760354                 0 1 1 0
760360                 1 1 1 0
760364                 0 0 0 1
760370                 1 0 0 1
760374                 0 1 0 1
760400                 1 1 0 1
760404                 0 0 1 1
760410                 1 0 1 1
760414                 0 1 1 1
760420                 1 1 1 1